<?php

namespace Slack\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

use App\Http\Controllers\Controller;
use Slack\Client\Payload;
use Slack\Event\Factory as SlackEventFactory;

class EventsController extends Controller
{
	private const LOGKEY = 'CEC';

	/**
	 * Fire slack event
	 *
	 * @param Request $request
	 * @return \Illuminate\Http\Response|\Laravel\Lumen\Http\ResponseFactory
	 */
	public function fire(Request $request)
	{
		$event = SlackEventFactory::make(new Payload($request->all(),TRUE));
		Log::info(sprintf('%s:Dispatching Event [%s]',static::LOGKEY,get_class($event)));
		event($event);

		return response('Event Processed',200);
	}
}