<?php

$routeConfig = [
	'namespace' => 'Slack\Http\Controllers',
];

app('router')
	->group($routeConfig, function ($router) {
		$router->get('slack/install/button', [
			'uses' => 'SlackAppController@button',
			'as' => 'slack-install-button',
		]);

		$router->get('slack/install', [
			'uses' => 'SlackAppController@install',
			'as' => 'slack-install',
		]);

		$router->get('slack', [
			'uses' => 'SlackAppController@home',
			'as' => 'home',
		]);
	});

app('router')
	->group(array_merge($routeConfig,['prefix'=>'api']), function ($router) {
		$router->post('slack/event', [
			'uses' => 'EventsController@fire',
			'as' => 'event',
		]);

		$router->post('slack/imsg', [
			'uses' => 'InteractiveMessageController@fire',
			'as' => 'imsg',
		]);

		$router->post('slack/imsgopt', [
			'uses' => 'InteractiveOptionsController@fire',
			'as' => 'imsgopt',
		]);

		$router->post('slack/slashcmd', [
			'uses' => 'SlashCommandController@fire',
			'as' => 'slashcommand',
		]);
	});